CVE-2003-0644
CVSS4.6
发布时间 :2003-09-07 00:00:00
修订时间 :2008-09-05 16:34:52
NMCOS    

[原文]Kdbg 1.1.0 through 1.2.8 does not check permissions of the .kdbgrc file, which allows local users to execute arbitrary commands.


[CNNVD]KDbg任意命令执行漏洞(CNNVD-200309-001)

        Kdbg 1.1.0至1.2.8版本不能检查.kdbgrc文件许可。本地用户可以利用该漏洞执行任意命令。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:johannes_sixt:kdbg:1.2.8
cpe:/a:johannes_sixt:kdbg:1.1.3
cpe:/a:johannes_sixt:kdbg:1.1.4
cpe:/a:johannes_sixt:kdbg:1.2.0
cpe:/a:johannes_sixt:kdbg:1.1.6
cpe:/a:johannes_sixt:kdbg:1.2.7
cpe:/a:johannes_sixt:kdbg:1.2.6
cpe:/a:johannes_sixt:kdbg:1.2.2
cpe:/a:johannes_sixt:kdbg:1.2.3
cpe:/a:johannes_sixt:kdbg:1.1.0
cpe:/a:johannes_sixt:kdbg:1.1.5
cpe:/a:johannes_sixt:kdbg:1.1.1
cpe:/a:johannes_sixt:kdbg:1.2.1
cpe:/a:johannes_sixt:kdbg:1.2.4
cpe:/a:johannes_sixt:kdbg:1.2.5
cpe:/a:johannes_sixt:kdbg:1.1.2
cpe:/a:johannes_sixt:kdbg:1.1.7

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0644
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0644
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200309-001
(官方数据源) CNNVD

- 其它链接及资源

http://lists.kde.org/?l=kde-announce&m=106296509815092&w=2
(VENDOR_ADVISORY)  CONFIRM  http://lists.kde.org/?l=kde-announce&m=106296509815092&w=2
http://lists.debian.org/debian-devel-changes/2003/09/msg00767.html
(VENDOR_ADVISORY)  MLIST  [debian-devel-changes] 20030909 Accepted kdbg 1.2.9-1 (i386 source)
http://www.redhat.com/support/errata/RHSA-2005-416.html
(UNKNOWN)  REDHAT  RHSA-2005:416

- 漏洞信息

KDbg任意命令执行漏洞
中危 设计错误
2003-09-07 00:00:00 2005-10-20 00:00:00
本地  
        Kdbg 1.1.0至1.2.8版本不能检查.kdbgrc文件许可。本地用户可以利用该漏洞执行任意命令。

- 公告与补丁

        The vendor has addressed this issue in KDbg version 1.2.9 and later.
        RedHat Linux has released advisory RHSA-2005:416-04 addressing this issue for RedHat Enterprise Linux and Advanced Workstation for the Itanium Processor. Please see the referenced advisory for further information.
        KDbg KDbg 1.1
        
        KDbg KDbg 1.2
        
        KDbg KDbg 1.2.1
        
        KDbg KDbg 1.2.2
        
        KDbg KDbg 1.2.3
        
        KDbg KDbg 1.2.4
        
        KDbg KDbg 1.2.5
        
        KDbg KDbg 1.2.6
        
        KDbg KDbg 1.2.7
        
        KDbg KDbg 1.2.8
        

- 漏洞信息

4235
KDbg .kdbgrc Permission Check Failure Arbitrary Command Execution
Local Access Required Attack Type Unknown
Impact Unknown
Vendor Verified

- 漏洞描述

KDbg contains a flaw that may allow a local user to execute arbitrary privileged commands. The issue is due to the program not checking file permissions on the .kdbgrc file. This may allow an attacker to insert custom commands to be run in the context of another user.

- 时间线

2003-09-09 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.9.3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

KDbg Arbitrary Command Execution Vulnerability
Design Error 13845
No Yes
2003-09-07 12:00:00 2009-07-12 02:56:00
Matt Zimmerman is credited with the discovery of this vulnerability.

- 受影响的程序版本

RedHat Enterprise Linux WS 2.1 IA64
RedHat Enterprise Linux WS 2.1
RedHat Enterprise Linux ES 2.1 IA64
RedHat Enterprise Linux ES 2.1
RedHat Advanced Workstation for the Itanium Processor 2.1 IA64
RedHat Advanced Workstation for the Itanium Processor 2.1
Red Hat Enterprise Linux AS 2.1 IA64
Red Hat Enterprise Linux AS 2.1
KDbg KDbg 1.2.8
KDbg KDbg 1.2.7
KDbg KDbg 1.2.6
KDbg KDbg 1.2.5
KDbg KDbg 1.2.4
KDbg KDbg 1.2.3
KDbg KDbg 1.2.2
KDbg KDbg 1.2.1
KDbg KDbg 1.2
KDbg KDbg 1.1
KDbg KDbg 1.2.9

- 不受影响的程序版本

KDbg KDbg 1.2.9

- 漏洞讨论

KDbg is prone to a vulnerability that could permit the execution of arbitrary commands.

An attacker can exploit this vulnerability to inject malicious commands to be run under the permissions of the current KDbg session.

This issue affects KDbg versions 1.1.0 to 1.2.8 inclusive. This issue was originally reported to be addressed in version 1.2.8, it was later proven that is not the case.

The vendor has released an update in KDbg version 1.2.9.

- 漏洞利用

No exploit is required.

- 解决方案

The vendor has addressed this issue in KDbg version 1.2.9 and later.

RedHat Linux has released advisory RHSA-2005:416-04 addressing this issue for RedHat Enterprise Linux and Advanced Workstation for the Itanium Processor. Please see the referenced advisory for further information.


KDbg KDbg 1.1

KDbg KDbg 1.2

KDbg KDbg 1.2.1

KDbg KDbg 1.2.2

KDbg KDbg 1.2.3

KDbg KDbg 1.2.4

KDbg KDbg 1.2.5

KDbg KDbg 1.2.6

KDbg KDbg 1.2.7

KDbg KDbg 1.2.8

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站